GET /api/org/deposits

The deposits paid through the provider, each with its receipt: net, tax and total in the organisation's currency.

Surface: organisation. Who may call: organisation-key. Key: organisation.deposits.list.

Example request

curl -X GET https://caremcp.com/api/org/deposits \
  -H "Authorization: Bearer <API key or session>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "array",
 "items": {
  "type": "object",
  "properties": {
   "id": {
    "type": "string"
   },
   "ref": {
    "type": "string"
   },
   "receiptNumber": {
    "type": "integer",
    "minimum": -9007199254740991,
    "maximum": 9007199254740991
   },
   "currency": {
    "type": "string",
    "enum": [
     "USD",
     "EUR"
    ]
   },
   "amountCents": {
    "$ref": "#/$defs/__schema0"
   },
   "taxPercent": {
    "type": "integer",
    "minimum": -9007199254740991,
    "maximum": 9007199254740991
   },
   "taxCents": {
    "$ref": "#/$defs/__schema0"
   },
   "totalCents": {
    "$ref": "#/$defs/__schema0"
   },
   "at": {
    "type": "string"
   }
  },
  "required": [
   "id",
   "ref",
   "receiptNumber",
   "currency",
   "amountCents",
   "taxPercent",
   "taxCents",
   "totalCents",
   "at"
  ],
  "additionalProperties": false
 },
 "$defs": {
  "__schema0": {
   "type": "integer",
   "minimum": -9007199254740991,
   "maximum": 9007199254740991
  }
 }
}